# newgrf_sound.h File Reference

Functions related to NewGRF provided sounds. More...

`#include "sound_type.h"`
`#include "tile_type.h"`
`#include "vehicle_type.h"`

Go to the source code of this file.

## Enumerations
enum | VehicleSoundEvent { VSE_START = 1, VSE_TUNNEL = 2, VSE_BREAKDOWN = 3, VSE_RUNNING = 4, VSE_TOUCHDOWN = 5, VSE_TRAIN_EFFECT = 6, VSE_RUNNING_16 = 7, VSE_STOPPED_16 = 8, VSE_LOAD_UNLOAD = 9 }
## Functions
SoundEntry * | AllocateSound ()
void | InitializeSoundPool ()
SoundEntry * | GetSound (SoundID sound_id)
uint | GetNumSounds ()
bool | PlayVehicleSound (const Vehicle *v, VehicleSoundEvent event)
bool | PlayTileSound (const struct GRFFile *file, SoundID sound_id, TileIndex tile)

## Detailed Description

Functions related to NewGRF provided sounds.

Definition in file newgrf_sound.h.